module camera

using VideoIO
using Images
using OCReract

hello() = println("hello")

"""
Get the image from the video camera.

NOTE: we will probably need to use some low level utilities from ffmpeg, exposed via subpackages of VideoIO.
"""
function get_image()
    cam = VideoIO.opencamera(encoder=false)
    img = read(cam)
    close(cam)
    img
end

function write_to_temp(bytes::Vector{UInt8})
    mktemp() do path, io
        write(io, bytes)
        im = load(path)
        run_tesseract(im)
    end
end

end